
QGIS Application - Bug report #8826

Cannot build python_module_qgis_gui (2.0.1) with SIP 4.15.2

2013-10-11 05:57 PM - Dimitri Jakov

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17519

Description

I'm trying to build QGIS 2.0.1 for Mageia Linux (Cauldron). The build breaks with the following output:

make[2]: Entering directory `/home/cauldron/qgis/BUILD/qgis-2.0.1/build'

[ 87%] Generating gui/sipguipart0.cpp, gui/sipguipart1.cpp, gui/sipguipart2.cpp, gui/sipguipart3.cpp

Scanning dependencies of target python_module_qgis_gui

make[2]: Leaving directory `/home/cauldron/qgis/BUILD/qgis-2.0.1/build'

make[2]: Entering directory `/home/cauldron/qgis/BUILD/qgis-2.0.1/build'

[ 87%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart0.cpp.o

[ 87%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart1.cpp.o

[ 87%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart2.cpp.o

[ 88%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o

/usr/share/sip/PyQt4/QtGui/qsyntaxhighlighter.sip: In function ‘PyObject*

meth_QgsExpressionHighlighter_setCurrentBlockUserData(PyObject*, PyObject*, PyObject*)’:

/usr/share/sip/PyQt4/QtGui/qsyntaxhighlighter.sip:78:77: error: ‘qtgui_wrap_ancestors’ was not declared in this scope

             PyObject *py_td = qtgui_wrap_ancestors(td, sipType_QTextDocument);

                                                                             ^

make[2]: *** [python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o] Error 1

make[2]: Leaving directory `/home/cauldron/qgis/BUILD/qgis-2.0.1/build'

make[1]: *** [python/CMakeFiles/python_module_qgis_gui.dir/all] Error 2

make[1]: Leaving directory `/home/cauldron/qgis/BUILD/qgis-2.0.1/build'

make: *** [all] Error 2

make: Leaving directory `/home/cauldron/qgis/BUILD/qgis-2.0.1/build'

error: Bad exit status from /home/cauldron/qgis/BUILDROOT/rpm-tmp.ueY3B9 (%install)

In Mageia Cauldron, we've got python-sip 4.15.2 and python-qt4 4.10.3. Earlier I've experienced two other SIP-related issues, namely

#8507 and #8601, and applied the corresponding patches.

At the same time, I'm able to run main QGIS binary from the build dir. The message box is shown about PyQGIS unavailability, but the

program seems to work.

History

#1 - 2013-10-11 05:59 PM - Dimitri Jakov

While this issue remains open, can I temporarily disable PyQGIS completely, so my RPM build succeeds? Thanks!
#2 - 2013-10-14 03:06 PM - Neophytos Kolokotronis

Fwiw, I can replicate this error while trying to build this package for Chakra, using the same package versions as Dimitri Jakov above. I had the same

issues and patched those, and now the build is failing with this.

#3 - 2013-10-26 08:30 AM - Dimitri Jakov

- Status changed from Open to Closed

I was able to build QGIS 2.0.1 after I've updated to SIP 4.15.3 and PyQt 4.10.4 (dev snapshot). Until PyQt 4.10.4 is released, one can temporarily disable

Python bindings using -DWITH_BINDINGS:BOOL=FALSE CMake flag. In this case, most of the plugins will be unavailable. Also do not forget to apply

SIP-related patches (see Mageia package sources).
